#
# spec file for package tdom
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tdom
%if 0%{!?tclscriptdir:1}
%define tclscriptdir %_libdir
%endif
Summary:        A XML/DOM/XPath/XSLT Implementation for Tcl
License:        MPL-1.1
Group:          Development/Libraries/Tcl
Version:        0.8.3
Release:        4.1
Url:            http://tdom.github.com/
BuildRequires:  autoconf
BuildRequires:  libexpat-devel
BuildRequires:  tcl-devel
BuildRequires:  tcllib
Source0:        https://github.com/downloads/tDOM/tdom/tDOM-%{version}.tgz
Patch0:         tdom.patch
Patch1:         tdom-expat.patch
Patch2:         tdom-tnc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
tDOM combines high performance XML data processing with easy and
powerful Tcl scripting functionality. tDOM should be one of the fastest
ways to manipulate XML with a scripting language and uses very few
memory: for example, the DOM tree of the XML recommendation in XML
(160K) needs only about 450K of memory.

%package devel
Summary:        Development Files for tdom
Group:          Development/Libraries/Tcl
Requires:       tcl-devel
Requires:       tdom = %{version}

%description devel
This package contains files for developing software based on tdom.

%prep
%setup -q -n tDOM-%version
%patch0
%patch1
%patch2

%build
autoreconf --force
mkdir build
cd build
CFLAGS="%optflags -DUSE_INTERP_ERRORLINE" ../configure \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--mandir=%_mandir \
	--with-tcl=%_libdir \
	--disable-tdomalloc \
	--with-expat
make
cd ../extensions/tnc
autoreconf --force
CFLAGS="%optflags" ./configure \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--mandir=%_mandir \
	--with-tcl=%_libdir \
	--with-tdom=../../build
make

%check
cd build
make test
cd ../extensions/tnc
make test TCLLIBPATH=../../build EXTRA_PATH=../../build

%install
cd build
make DESTDIR=%buildroot pkglibdir=%tclscriptdir/%name%version install
chmod 644 %buildroot/%_libdir/*.a
cd ../extensions/tnc
make DESTDIR=%buildroot pkglibdir=%tclscriptdir/tnc0.3.0 install

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%doc ChangeLog CHANGES README NPL-1_1Final.html LICENSE
%doc %_mandir/man*/*
%tclscriptdir/*
%_libdir/*.so

%files devel
%defattr(-,root,root,-)
%_libdir/tdomConfig.sh
%_libdir/*.a
%_includedir/tdom.h

%changelog
* Thu Jun 20 2013 max@suse.com
- Add -DUSE_INTERP_ERRORLINE to fix build with Tcl 8.6.
* Mon Jun 18 2012 gber@opensuse.org
- update to version 0.8.3
  - numerous bugfixes, see ChangeLog for a detailed list of changes
- split off devel subpackage for stubs table, header and config
  script
* Wed Dec 21 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Wed Aug 15 2007 max@suse.de
- Update to the final 0.8.2 release
  * Correct a licensing issue
  * Some cosmetical fixes
* Wed Aug  8 2007 max@suse.de
- New version: 0.8.2rc3
  * Update to expat 2.0.1.
  * Improve 64bit support
  * Added the '-namespaces' option to the selectNodes method.
  * Added the methods 'transform' and 'delete' to xsltCmds.
  * Added the 'selectNodesNamespace' to documents.
  * Normalize case of attribute also (not only elements).
  * Added method deleteXPathCache: basic control over the xpath
    expression cache.
  * Variable references in XPath queries will now be resoved as
    Tcl variables.
- Added tcllib to BuildRequires (needed for 'make test').
- Added the tnc extension to the package
* Fri Apr 27 2007 aj@suse.de
- Add libexpat-devel to BuildRequires.
* Mon Oct  9 2006 max@suse.de
- New package: tdom
- A XML/DOM/XPath/XSLT Implementation for Tcl, based on expat.
- Patched to use the libexpat instead of included copy.
